import React from 'react';
import {Modal, Form, Input, Button, Grid} from 'semantic-ui-react';

const DevModel = ({ i18n, open, type, data, closeModal }) => {

    return (
        <Modal open={open}>
            <Modal.Header content={type == 1 ? '修改裝置' : '新增裝置'} />
            <Modal.Content>
                <Form>
                    <Form.Field>
                        <Input label="裝置名稱" name="name" defaultValue={data.name} />
                    </Form.Field>

                    <Grid columns={2}>
                        <Grid.Column>
                            <Button type="submit" content="送出" basic fluid/>
                        </Grid.Column>
                        <Grid.Column>
                            <Button type="button" fluid content="取消" basic onClick={()=>closeModal('device')} />
                        </Grid.Column>
                    </Grid>
                </Form>
            </Modal.Content>
        </Modal>
    )
}

export default DevModel;